Bug 278851 - /dev/snd/* don't get the right permissions
/dev/snd/* don't get the right permissions
Status: CLOSED NOTABUG
Product: Fedora
Classification: Fedora
Component: hal (Show other bugs)
rawhide
All Linux
medium Severity low
: ---
: ---
Assigned To: David Zeuthen
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2007-09-05 13:02 EDT by Ray Strode [halfline]
Modified: 2013-03-05 22:51 EST (History)
4 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2007-09-18 15:57:47 EDT
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---


Attachments (Terms of Use)

  None (edit)
Description Ray Strode [halfline] 2007-09-05 13:02:18 EDT
In order for pulseaudio to work, I have to kill it, run chmod 777 /dev/snd/* and
start it again.

$ getfacl /dev/snd/*
getfacl: Removing leading '/' from absolute path names
# file: dev/snd/controlC0
# owner: 777
# group: root
user::rwx
group::rwx
other::rwx

# file: dev/snd/controlC1
# owner: 777
# group: root
user::rwx
group::rwx
other::rwx

# file: dev/snd/pcmC0D0c
# owner: 777
# group: root
user::rwx
group::rwx
other::rwx

# file: dev/snd/pcmC0D0p
# owner: 777
# group: root
user::rwx
group::rwx
other::rwx

# file: dev/snd/pcmC0D1c
# owner: 777
# group: root
user::rwx
group::rwx
other::rwx

# file: dev/snd/pcmC0D2c
# owner: 777
# group: root
user::rwx
group::rwx
other::rwx

# file: dev/snd/pcmC0D3c
# owner: 777
# group: root
user::rwx
group::rwx
other::rwx

# file: dev/snd/pcmC0D4p
# owner: 777
# group: root
user::rwx
group::rwx
other::rwx

# file: dev/snd/pcmC1D0c
# owner: 777
# group: root
user::rwx
group::rwx
other::rwx

# file: dev/snd/pcmC1D0p
# owner: 777
# group: root
user::rwx
group::rwx
other::rwx

# file: dev/snd/seq
# owner: 777
# group: root
user::rwx
group::rwx
other::rwx

# file: dev/snd/timer
# owner: 777
# group: root
user::rwx
group::rwx
other::rwx

$ /etc/init.d/ConsoleKit status
console-kit-daemon (pid 1721) is running...

$ ls -lZ /dev/snd/*
crwxrwxrwx  root root system_u:object_r:sound_device_t /dev/snd/controlC0
crwxrwxrwx  root root system_u:object_r:sound_device_t /dev/snd/controlC1
crwxrwxrwx  root root system_u:object_r:sound_device_t /dev/snd/pcmC0D0c
crwxrwxrwx  root root system_u:object_r:sound_device_t /dev/snd/pcmC0D0p
crwxrwxrwx  root root system_u:object_r:sound_device_t /dev/snd/pcmC0D1c
crwxrwxrwx  root root system_u:object_r:sound_device_t /dev/snd/pcmC0D2c
crwxrwxrwx  root root system_u:object_r:sound_device_t /dev/snd/pcmC0D3c
crwxrwxrwx  root root system_u:object_r:sound_device_t /dev/snd/pcmC0D4p
crwxrwxrwx  root root system_u:object_r:sound_device_t /dev/snd/pcmC1D0c
crwxrwxrwx  root root system_u:object_r:sound_device_t /dev/snd/pcmC1D0p
crwxrwxrwx  root root system_u:object_r:sound_device_t /dev/snd/seq
crwxrwxrwx  root root system_u:object_r:sound_device_t /dev/snd/timer

$ sudo /usr/sbin/getenforce 
Enforcing

$ rpm -q ConsoleKit hal
ConsoleKit-0.2.2-0.16.20070831git.fc7.hughsie.i386
hal-0.5.10-0.43.20070831git.fc7.hughsie.i386
Comment 1 Bastien Nocera 2007-09-05 15:05:00 EDT
Latest bits from rawhide for me, and no bits from hughsie.

$ /etc/init.d/ConsoleKit status
console-kit-daemon (pid 2304) is running...

$ ls -l /dev/snd/
total 0
0 crw-rw----+ 1 root root 116, 8 2007-09-05 18:35 controlC0
0 crw-rw----+ 1 root root 116, 7 2007-09-05 18:35 pcmC0D0c
0 crw-rw----+ 1 root root 116, 6 2007-09-05 18:35 pcmC0D0p
0 crw-rw----+ 1 root root 116, 5 2007-09-05 18:35 pcmC0D1c
0 crw-rw----+ 1 root root 116, 4 2007-09-05 18:35 pcmC0D1p
0 crw-rw----+ 1 root root 116, 3 2007-09-05 18:35 seq
0 crw-rw----+ 1 root root 116, 2 2007-09-05 18:35 timer

$ rpm -q hal ConsoleKit
hal-0.5.10-0.git20070831.fc8
ConsoleKit-0.2.1-4.fc8

Works fine. I had the same problem with hughsie's packages as well.
Comment 2 Ray Strode [halfline] 2007-09-05 15:39:09 EDT
ah adding Richard to the CC list then.
Comment 3 Richard Hughes 2007-09-07 10:53:54 EDT
Hmm. I'm only using git head versions of everything, with the fedora spec file.
I'll make sure my spec files are up to date.
Comment 4 David Zeuthen 2007-09-18 15:57:47 EDT
Ray showed me in the office that he was using hal packages from the utopia repo
-> UNSUPPORTED. :-)
Comment 5 Richard Hughes 2007-09-18 16:16:57 EDT
I've updated the utopia hal to match the fedora hal. Sorry guys :-)

Note You need to log in before you can comment on or make changes to this bug.